MANCONV(1)

NAMN
manconv - konvertera manualsida från en kodning till en annan

SYNOPSIS
manconv -f [från-kod[:från-kod...]] -t till-kod [-dqhV] [filnamn]

BESKRIVNING
manconv konverterar en manualsida från en kodning till en annan, likt iconv. Till skillnad från iconv kan det prova flera möjliga inmatningskodningar i sekvens. Detta är användbart för manualsidor som installerats i kataloger utan en uttrycklig kodningsdeklaration eftersom de kan använda UTF-8 eller någon föråldrad teckenkodning.

Om en kodningsdeklaration hittas på första raden i manualsidan kommer den deklarationen att åsidosätta inmatningskodningar som anges på manconv:s kommandorad. Kodningsdeklarationer anges på följande form:

    '\" -*- coding: UTF-8 -*-

eller (om preprocessorer för manualsidans också ska deklareras):

    '\" t -*- coding: ISO-8859-1 -*-

FLAGGOR

-f kodningar, --from-code kodningar
    Prova var och en av kodningar:na (en kolonseparerad lista) i sekvens som inmatningskodningen. Standard är att gissa en trolig indatakodning baserat på filnamnet.

-t kodning, --to-code kodning
    Konvertera manualsidan till kodning.

-q, --quiet
    Mata inte ut felmeddelanden när sidan inte kan konverteras.

-d, --debug
    Skriver ut felsökningsinformation.

-h, --help
    Skriv ut ett hjälpmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

SE VIDARE
iconv(1), man(1), man-recode(1)

UPPHOVSMAN
Colin Watson (cjwatson@debian.org).

FEL
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db